# oc-scheduler

oc-schedulerd is a daemon performing to actions at the same time :
- subscribing to the local NATS instance' custom channels for message commanding either the scheduling or the removing of an execution.  
- polling oc-catalog for scheduled executions 

Depending on the environment it is running in, oc-schedulerd will either :
- execute the oc-monitord binary
- run an oc-monitord container 

## Parameters

oc-schedulerd uses json files to load its configuration. The template for this configuration file is below

```json
{
    "LOKI_URL" : "http://[IP/URL]:3100",
    "MONGO_URL":"mongodb://[IP/URL]:27017/", 
    "NATS_URL":"nats://[IP/URL]:4222",
    "MONGO_DATABASE":"",
    "MONITORD_PATH": "",
    "KUBERNETES_SERVICE_HOST" : "[IP/URL]",
    "MONITOR_MODE": "",
    "KUBE_CA": "",
    "KUBE_CERT": "",
    "KUBE_DATA": ""
}
```

**monitor_mode** : should be either "local","container", ""

## TODO

- [ ] Implement the discovery of current mode : local, local in container, as a container